Subject: bug#192: regexp does not work as documented

From: [email-masked]
Date: Mon, 12 May 2008 16:18:43 +0000

On Mon, May 12, 2008 at 08:55:14AM -0700, Thomas Lord wrote:

[...]

> Why that last one?  Because then you can probably use the same
> DFA engine as the heart of a shift-reduce parser and (for languages
> that admit such things) write an incremental parser.  (You'd be using
> non-buffer-position DFAs to process token ids emitted by the lexer.)
> You can also use such a feature for things like serial I/O protocols.

...and cool things could be done with process-filter-function and its
cousin after-insert-file-functions (i.e. parse input on-the-fly). Nifty
stuff.

Regards
- -- tomás